Summary:	dqlite library - distributed SQLite engine
Summary(pl.UTF-8):	Biblioteka dqlite - rozproszony silnik SQLite
Name:		dqlite
Version:	1.12.0
Release:	1
License:	LGPL v3 with exception
Group:		Libraries
#Source0Download: https://github.com/canonical/dqlite/releases
Source0:	https://github.com/canonical/dqlite/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	700b6be842552997b18f0c43b8054676
URL:		https://github.com/canonical/dqlite
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
BuildRequires:	libtool >= 2:2
BuildRequires:	libuv-devel >= 1.8.0
BuildRequires:	pkgconfig
BuildRequires:	raft-devel >= 0.14.0
BuildRequires:	sqlite3-devel >= 3.22.0
Requires:	libuv >= 1.8.0
Requires:	raft >= 0.14.0
Requires:	sqlite3 >= 3.22.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the dqlite C library (libdqlite), which can be
used to expose a dqlite database over the network and replicate it
across a cluster of peers, using the Raft algorithm.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę C dqlite (libdqlite), którą można
wykorzystywać do udostępnienia bazy danych dqlite przez sieć i
replikować ją na klaster partnerów przy użyciu algorytmu Raft.

%package devel
Summary:	Header files for dqlite development
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dqlite
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libuv-devel >= 1.8.0
Requires:	raft-devel >= 0.14.0
Requires:	sqlite3-devel >= 3.22.0

%description devel
This package contains development files for the dqlite library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki dqlite.

%package static
Summary:	Static dqlite library
Summary(pl.UTF-8):	Statyczna biblioteka dqlite
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static dqlite library.

%description static -l pl.UTF-8
Ten pakiet zawiera bibliotekę statyczną dqlite.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libdqlite.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README.md
%attr(755,root,root) %{_libdir}/libdqlite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdqlite.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdqlite.so
%{_includedir}/dqlite.h
%{_pkgconfigdir}/dqlite.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdqlite.a
%changelog
* Sun Jan 08 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dqlite.git;a=log;h=master

* Tue Nov 29 2022 Jakub Bogusz <qboosh@pld-linux.org> f4f615b
- updated raft dependencies

* Tue Nov 22 2022 mis <mistoo@gmail.com> 7504b00
- up to 1.12.0

* Sun Jan 10 2021 Jan Rękorajski <baggins@pld-linux.org> 1ddf937
- fix misparsed requires
- rel 3

* Tue Jan 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 9e21e17
- pl, updated dependencies, drop .la file; release 2

* Fri Jan 01 2021 Jan Rękorajski <baggins@pld-linux.org> 7652612
- up to 1.6.0, does not need patched sqlite3 nand libco

* Sun Dec 27 2020 Jan Rękorajski <baggins@pld-linux.org> b40f2b1
- don't use macro before its definition

* Tue Mar 24 2020 mis <mis@pld-linux.org> e00280e
- removed needless autoheader; rel 2

* Fri Mar 06 2020 mis <mistoo@gmail.com> 8dc1e8e
- up to 1.4.0

* Sun Mar 31 2019 Jan Rękorajski <baggins@pld-linux.org> 0da1dd5
- release 2 (by relup.sh)

* Tue Nov 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fb82492
- rel 1; use patched sqlite3

* Tue Nov 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f84f3bc
- drop debug

* Tue Nov 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e295dd5
- initial but needs patched sqlite3 (see if that makes sense or add internal patched sqlite3)

